Update SMTP server

PUT
/api/v2/smtp-servers/{id}

Update an existing SMTP server by its unique identifier.

AuthorizationBearer <token>

JWT Authorization header using the Bearer scheme. Example: 'Bearer {token}'

In: header

Path Parameters

id*string
Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X PUT "https://example.com/api/v2/smtp-servers/497f6eca-6276-4993-bfeb-53cbbbba6f08" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "fromName": "string",    "hostName": "string",    "smtpPort": 0  }'
{  "isSuccess": true,  "error": {},  "errorDetails": "string",  "message": "string",  "data": "string",  "resultInfo": {    "page": 0,    "perPage": 0,    "totalCount": 0,    "totalPages": 0,    "hasPreviousPage": true,    "hasNextPage": true  }}